# Some tests use the network.
%bcond_with network

%global goipath         github.com/libgit2/git2go
%global commit          ecaeb7a21d479b7966311760a2e8bd734f8f0eef

%gometa

Name:           %{goname}
Version:        0
Release:        0.27.1%{?dist}
Summary:        Git to Go; bindings for libgit2
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
%if ! %{with network}
Patch0001:      0001-Skip-tests-that-use-the-network.patch
%endif

# https://bugzilla.redhat.com/show_bug.cgi?id=1680200
ExcludeArch: i686 armv7hl

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: (pkgconfig(libgit2) >= 0.27 with pkgconfig(libgit2) < 0.28)
Requires:      (pkgconfig(libgit2) >= 0.27 with pkgconfig(libgit2) < 0.28)

%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE


%changelog
* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.27.1.20190223gitecaeb7a
- First package for Fedora
